Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.ant
Class JbpmSchemaTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.jbpm.ant.JbpmSchemaTask

    public class JbpmSchemaTask

extends org.apache.tools.ant.Task

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`JbpmSchemaTask()`

Method Summary
`void` | `execute()`
`void` | `setActions(java.lang.String actions)`
`void` | `setDelimiter(java.lang.String delimiter)`
`void` | `setHibernateCfg(java.lang.String hibernateCfg)`
`void` | `setHibernateProperties(java.lang.String hibernateProperties)`
`void` | `setJbpmCfg(java.lang.String jbpmCfg)`
`void` | `setOutput(java.lang.String output)`
`void` | `setQuiet(boolean quiet)`
`void` | `setText(boolean text)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbpmSchemaTask

    public JbpmSchemaTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### setActions

    public void setActions(java.lang.String actions)

### setJbpmCfg

    public void setJbpmCfg(java.lang.String jbpmCfg)

### setHibernateCfg

    public void setHibernateCfg(java.lang.String hibernateCfg)

### setHibernateProperties

    public void setHibernateProperties(java.lang.String hibernateProperties)

### setDelimiter

    public void setDelimiter(java.lang.String delimiter)

### setOutput

    public void setOutput(java.lang.String output)

### setQuiet

    public void setQuiet(boolean quiet)

### setText

    public void setText(boolean text)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD